# Forgejo

We use a self-hosted Forgejo instance for our Git source code hosting.

## Quick Reference
**URL**: [:simple-forgejo: git.starcat.systems](https://git.starcat.systems)  
**Homepage**: [:octicons-link-external-16: forgejo.org](https://forgejo.org/)  
**Hosting**: [:octicons-arrow-right-16: Hetzner](../servers_and_hosting/hetzner.md) :flag_fi: `HEL`  
**Project group**: `SCsys_hosted`  
**Configuration repo**: [:simple-forgejo: starcat-infra/git-server](https://git.starcat.systems/starcat-infra/git-server)

## Notes
### Disabling OIDC
By default, Forgejo is set up to force users to use Pocket (StarCat ID) to log in. In case Pocket is not working, we can change a line in `app.ini` to show the local login form. See [:simple-forgejo: `app.ini` line 79](https://git.starcat.systems/starcat-infra/git-server/src/commit/f802febff4ae34eceb312f538e867c1615471ca4/forgejo/app_ini/app.ini#L79). SSH to the server with a sudo-capable account, open `app.ini`, and change the line `ENABLE_INTERNAL_SIGNIN = false` to `ENABLE_INTERNAL_SIGNIN = true`, then restart Forgejo. Then, you can log in with a local break-glass account (see 1Password).


---

!!! example "Work in Progress"
    This page is not complete, and is subject to change.

    Want to help with this page? Please see [:octicons-arrow-right-16: Editing this site](https://about.starcat.systems/editing/) and the [:simple-forgejo: Git repo](https://git.starcat.systems/starcatsys/about) for this site.