# Tips + Tricks
Some handy tips and tricks when working on this site:

## Custom HTML
### Hide page title
To hide the title on a page (like on the [:octicons-arrow-right-16: Home page](../../support/index.md)), paste this style block somewhere on the page:

``` html linenums="1"
<style>
    .md-typeset h1 {
        display: none;
    }
</style>
```

## Images
### Logo Size
When embedding a site logo in a page (like on the [:octicons-arrow-right-16: Home page](../../support/index.md)), the sweet spot seems to be `300px` for the image width so that it doesn't look "off". Or, it may be that the image height is `150px`. Need to experiment with other logos on pages.

### Different images for dark/light mode
You can use `#only-dark` to only show an image in dark mode, and `#only-light` to only show an image in light mode. For example:

``` md linenums="1"
![StarCat Systems Logo-dark](https://cdn.starcat.systems/logos/Starcat_Systems-Head_Circle_Name-212121_Black-300x150px.svg#only-light)
![StarCat Systems Logo-light](https://cdn.starcat.systems/logos/Starcat_Systems-Head_Circle_Name-FFFFFF_White-300x150px.svg#only-dark)
```