# PikaPods
[:octicons-link-external-16: PikaPods](https://pikapods.com/) is an open source app hosting provider that we use to host some of our internal apps.

## Quick Links
[:octicons-link-external-16: Control panel](https://www.pikapods.com/pods) - limited access, contact admin if you need access or need to make changes

## Hosted Apps
- [:octicons-arrow-right-16: Umami](../monitoring/umami.md)
- [FreeScout](../communication/freescout.md)
- Listmonk (handbook page to be created)
## Regions
When it makes sense, host any new pods in the :flag_eu: `EU` region, as it places the pod closer to the majority of our services. For our USA hosted services, or in other special situations, pods can also be hosted in the :flag_us: `US` region.

## Backups
PikaPods offers the capability to back up the hosted apps to an S3-compatible service (in our case, B2).

See [:octicons-link-external-16: PikaPods' documentation](https://docs.pikapods.com/manage/backup) for specific details on setting this up. Right now, you need to ask `@thhsh` to make a new B2 bucket and get credentials set up.

!!! warning
    Once you set up backups for the pod, make sure you save the repository password in 1Password so we can recover the backups if needed.

    To find the repository password, go to your pod, click :fontawesome-solid-gear:, click **Backups**, and copy **Repository Password**. Save this in the 1Password record for the B2 bucket credentials.